Package com.collibra.catalog.api.component.schema.dto

# Class AddSchemaFromJdbcRequest.Builder

Object
Builder

Enclosing class:
  `AddSchemaFromJdbcRequest`

public static class AddSchemaFromJdbcRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddSchemaFromJdbcRequest`
  `build()`
  `AddSchemaFromJdbcRequest.Builder`
  `cronExpression(String cronExpression)`
  `AddSchemaFromJdbcRequest.Builder`
  `cronTimeZone(String cronTimeZone)`
  `AddSchemaFromJdbcRequest.Builder`
  `description(String description)`
  `AddSchemaFromJdbcRequest.Builder`
  `detectAdvancedDataTypes(boolean detectAdvancedDataTypes)`
  `AddSchemaFromJdbcRequest.Builder`
  `executeProfiling(boolean executeProfiling)`
  `AddSchemaFromJdbcRequest.Builder`
  `extractDataSample(boolean extractDataSample)`
  `AddSchemaFromJdbcRequest.Builder`
  `jdbcConnectionString(String jdbcConnectionString)`
  `AddSchemaFromJdbcRequest.Builder`
  `jdbcDriverId(UUID jdbcDriverId)`
  `AddSchemaFromJdbcRequest.Builder`
  `jobServer(String jobServer)`
  `AddSchemaFromJdbcRequest.Builder`
  `ownerId(UUID ownerId)`
  `AddSchemaFromJdbcRequest.Builder`
  `password(char[] password)`
  `AddSchemaFromJdbcRequest.Builder`
  `properties(Map<String,String> properties)`
  `AddSchemaFromJdbcRequest.Builder`
  `schemaName(String schemaName)`
  `AddSchemaFromJdbcRequest.Builder`
  `storeCredentials(boolean storeCredentials)`
  `AddSchemaFromJdbcRequest.Builder`
  `tablesToSkip(List<String> tablesToSkip)`
  `String`
  `toString()`
  `AddSchemaFromJdbcRequest.Builder`
  `user(String user)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### schemaName

    public AddSchemaFromJdbcRequest.Builder schemaName(String schemaName)
    Returns:
      `this`.

  - ### jdbcDriverId

    public AddSchemaFromJdbcRequest.Builder jdbcDriverId(UUID jdbcDriverId)
    Returns:
      `this`.

  - ### properties

    public AddSchemaFromJdbcRequest.Builder properties(Map<String,String> properties)
    Returns:
      `this`.

  - ### user

    public AddSchemaFromJdbcRequest.Builder user(String user)
    Returns:
      `this`.

  - ### password

    public AddSchemaFromJdbcRequest.Builder password(char[] password)
    Returns:
      `this`.

  - ### jdbcConnectionString

    public AddSchemaFromJdbcRequest.Builder jdbcConnectionString(String jdbcConnectionString)
    Returns:
      `this`.

  - ### description

    public AddSchemaFromJdbcRequest.Builder description(String description)
    Returns:
      `this`.

  - ### ownerId

    public AddSchemaFromJdbcRequest.Builder ownerId(UUID ownerId)
    Returns:
      `this`.

  - ### storeCredentials

    public AddSchemaFromJdbcRequest.Builder storeCredentials(boolean storeCredentials)
    Returns:
      `this`.

  - ### cronExpression

    public AddSchemaFromJdbcRequest.Builder cronExpression(String cronExpression)
    Returns:
      `this`.

  - ### cronTimeZone

    public AddSchemaFromJdbcRequest.Builder cronTimeZone(String cronTimeZone)
    Returns:
      `this`.

  - ### extractDataSample

    public AddSchemaFromJdbcRequest.Builder extractDataSample(boolean extractDataSample)
    Returns:
      `this`.

  - ### executeProfiling

    public AddSchemaFromJdbcRequest.Builder executeProfiling(boolean executeProfiling)
    Returns:
      `this`.

  - ### detectAdvancedDataTypes

    public AddSchemaFromJdbcRequest.Builder detectAdvancedDataTypes(boolean detectAdvancedDataTypes)
    Returns:
      `this`.

  - ### tablesToSkip

    public AddSchemaFromJdbcRequest.Builder tablesToSkip(List<String> tablesToSkip)
    Returns:
      `this`.

  - ### jobServer

    public AddSchemaFromJdbcRequest.Builder jobServer(String jobServer)
    Returns:
      `this`.

  - ### build

    public AddSchemaFromJdbcRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`